DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImagesCompareTwo

Compare properties of two images

## SYNOPSIS

dip_Error dip_ImagesCompareTwo( image1, image2, condition, result )

## FUNCTION

This function compares some standard fields of two Images or performs a full comparison. The condition parameter specifies which properties should be tested. See `ImagesCompare` for more information. There are two modes of operation. If the result parameter is set, it is used to store the result of the comparison, a set of OR'ed `dipf_ImagesCompare` flags. If the result parameter is 0, an error is returned if the condition parameter and the resulting set of flags are not the same.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image1` | First Image
`dip_Image` | `image2` | Second Image
`dipf_ImagesCompare` | `condition` | Properties to compare. See `ImagesCompare`
`dipf_ImagesCompare*` | `result` | Result: flags to indicate if the properties were the same. 0 indicates that an error should be returned if the requested properties do not match

## SEE ALSO

`ImagesCompare`, `ImagesCheckTwo`, `ImagesCheck`

DIPlib on-line documentation | Function reference | Global function index